pkgsrc-Bugs archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

pkg/45606: ruby193 failures

>Number:         45606
>Category:       pkg
>Synopsis:       ruby193 failures
>Confidential:   no
>Severity:       serious
>Priority:       medium
>Responsible:    pkg-manager
>State:          open
>Class:          sw-bug
>Submitter-Id:   net
>Arrival-Date:   Sat Nov 12 14:45:00 +0000 2011
>Originator:     David A. Holland
>Release:        NetBSD 5.99.49 (pkgsrc of 20111111)
Architecture: x86_64
Machine: amd64

Building ruby193 packages produces the following ruby193-specific failures:

1. ruby193-activerecord-odbc

===> Patching for ruby193-activerecord-odbc-2.0nb1
=> Applying pkgsrc patches for ruby193-activerecord-odbc-2.0nb1
1 out of 1 hunks failed--saving rejects to 
Patch /home/pkgbulk/pkgsrc/databases/ruby-activerecord-odbc/patches/patch-aa 
ERROR: Patching failed due to modified or broken patch file(s):
ERROR:  /home/pkgbulk/pkgsrc/databases/ruby-activerecord-odbc/patches/patch-aa
*** Error code 1

This does not happen with ruby19 or ruby18. I guess the gemspec file
comes out differently?

2. ruby193-rdoc

pkg_add: Conflicting PLIST with ruby193-base-1.9.3p0: 
pkg_add: 1 package addition failed


build (in this case with pbulk)



Home | Main Index | Thread Index | Old Index